Package org.snpeff.stats.plot

# Class GoogleLineChart

java.lang.Object
org.snpeff.stats.plot.GoogleLineChart

Direct Known Subclasses:
  `GoogleBarChart`

public class GoogleLineChart extends Object

## Constructor Summary

Constructors
Constructor
Description
`GoogleLineChart(String title)`
`GoogleLineChart(String title, int width, int height)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addColumn(String colTitle, int[] columnValues)`
`void`
`addColumn(String colTitle, ArrayList<String> columnValues)`
`void`
`sethAxis(String hAxis)`
`void`
`setHeight(int height)`
`void`
`setStacked(boolean stacked)`
`void`
`setTitle(String title)`
`void`
`setvAxis(String vAxis)`
`void`
`setWidth(int width)`
`void`
`setxLables(ArrayList<String> xLables)`
`String`
`toStringHtmlBody()`
`String`
`toStringHtmlHeader()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GoogleLineChart

public GoogleLineChart(String title)

### GoogleLineChart

public GoogleLineChart(String title, int width, int height)

## Method Details

### addColumn

public void addColumn(String colTitle, ArrayList<String> columnValues)

### addColumn

public void addColumn(String colTitle, int[] columnValues)

### sethAxis

public void sethAxis(String hAxis)

### setHeight

public void setHeight(int height)

### setStacked

public void setStacked(boolean stacked)

### setTitle

public void setTitle(String title)

### setvAxis

public void setvAxis(String vAxis)

### setWidth

public void setWidth(int width)

### setxLables

public void setxLables(ArrayList<String> xLables)

### toStringHtmlBody

public String toStringHtmlBody()

### toStringHtmlHeader

public String toStringHtmlHeader()